﻿@model ICollection<UserCurrenciesViewModel>

<table class="table">
    <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Currency Name</th>
            <th scope="col">Amount</th>
            <th scope="col">Current price/USD</th>
        </tr>
    </thead>
    <tbody>
        @foreach (var curr in @Model)
        {
            <tr>
                <th scope="row">1</th>
                <td>@curr.Name</td>
                <td>@curr.Amount</td>
                <td>@curr.CurrentPrice</td>
                <td>
                    <a asp-controller="Purchase" 
                    asp-action="Sell" 
                    asp-route-name="@curr.Name"
                    asp-route-amount="@curr.Amount" method="Get" type="button" class="btn btn-info">Sell</a>
                </td>
            </tr>
        }
    </tbody>
</table>
